Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery
Class EmptyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--net.xfra.qizxopen.xquery.XQueryException
                        |
                        +--net.xfra.qizxopen.xquery.EvalException
                              |
                              +--net.xfra.qizxopen.xquery.EmptyException

All Implemented Interfaces:
  java.io.Serializable

public class EmptyException
extends EvalException

Thrown when a empty Value is encountered in a context that cannot handle it. Can be caught be enclosing expressions that accept empty sequences.

See Also:
  Serialized Form

Field Summary
`static EmptyException` | `instance` Unique instance.

Constructor Summary
`EmptyException(java.lang.String reason)`

Method Summary
`static EmptyException` | `allowed()` Unique instance.

Methods inherited from class net.xfra.qizxopen.xquery.EvalException
`getContext, printStack, setContext`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instance

    public static EmptyException instance

  Unique instance.

Constructor Detail

### EmptyException

    public EmptyException(java.lang.String reason)

Method Detail

### allowed

    public static EmptyException allowed()

  Unique instance.

  Throwing a statically built exception is perfectly possible in Java. This saves the time needed to copy the call stack into the exception, at the cost of a meaningless printStackTrace(). But we dont care here, because this is meant to simplify the handling of optionally empty arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD